##### 7.5.20.0. rightModulo

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  rightModulo(M,N); M,N are ideals/modules

Purpose:
  compute a right representation of the module (M+N)/N

Return:
  module

Assume:
  M,N are presentation matrices for right modules

Example:

    LIB "nctools.lib";
    LIB "ncalg.lib";
    def A = makeUsl(2);
    setring A;
    option(redSB);
    option(redTail);
    ideal I = e2,f2,h2-1;
    I = twostd(I);
    print(matrix(I));
    ==> h2-1,fh-f,eh+e,f2,2ef-h-1,e2
    ideal E  = std(e);
    ideal TL = e,h-1; // the result of left modulo
    TL;
    ==> TL[1]=e
    ==> TL[2]=h-1
    ideal T = rightModulo(E,I);
    T = rightStd(T+I);
    T = rightStd(rightNF(T,I)); // make the output canonic
    T;
    ==> T[1]=h+1
    ==> T[2]=e

User manual for Singular version 4.4.1, 2025, generated by texi2html.